
/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
*
* Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
*
* For more information, contact:
*
*  Generalitat Valenciana
*   Conselleria d'Infraestructures i Transport
*   Av. Blasco Ibez, 50
*   46010 VALENCIA
*   SPAIN
*
*      +34 963862235
*   gvsig@gva.es
*      www.gvsig.gva.es
*
*    or
*
*   IVER T.I. S.A
*   Salamanca 50
*   46005 Valencia
*   Spain
*
*   +34 963163400
*   dac@iver.es
*/
/*
* CVS MESSAGES:
*
* $Id: Schemas.java,v 1.3 2006/01/11 12:29:32 jorpiell Exp $
* $Log: Schemas.java,v $
* Revision 1.3  2006/01/11 12:29:32  jorpiell
* Resuelto un problema que haba con la codificacin de los ficheros y que haca que no se vieran los acentos de algunos fuentes
*
* Revision 1.2  2006/01/10 09:32:49  jorpiell
* Se ha echo un commit de las versiones modificadas del catalogo y del gazetteer usando el Poseidon. Se han renombrado algunas clases por considerar que tenian un nombre confuso y se han cambiado algunas relaciones entre clases (con la intencin de separar GUI de la parte de control). Han habido clases que no han sido tocadas, pero como han sido formateadas usando el Poseidon TODAS las CLASES del proyecto han cambiado de versin.
*
* Revision 1.1  2005/12/21 18:35:08  jorpiell
* Se ha modificado el nombre muchas clases. LAs clases que antes eran XXXQuery, ahora se llaman XXXFilter, para no confundirlas con querys (Realmente son Filtros). Las clases que se llamaban XXXProfile, ahora se llaman XXXSchema, puesto que realmente son esquemas. Esto se ha hecho así para evitar confusiones con los profiles del protocolo CSW. Ha sido un cambio de estructura, mas que un cambio de algunas clases.
*
* Revision 1.1  2005/12/20 09:04:21  jorpiell
* Hay muchas clases cambiadas porque se han definido algunas constantes
* en la clase profile y el la clase resource. Antes usabamos variables y
* juro por snoopy que nunca ms volvera a cometer este error. Adems se ha
* cambiado el paquete csw.profiles de sitio. Realmente, este paquete no sirve solo
* para el CSW, sino que tambin se usa en el SRW.
*
*
*/
package es.gva.cit.catalogClient.schemas;

/**
 * This class is used to define the profiles
 * 
 * 
 * @author Jorge Piera Llodra (piera_jor@gva.es)
 */
public class Schemas {

/**
 * 
 * 
 */
    public static final String ISO19115 = "ISO19115";

/**
 * 
 * 
 */
    public static final String DUBLINCORE = "DUBLINCORE";

/**
 * 
 * 
 */
    public static final String EBRIM = "EBRIM";
 }
