package org.cresques.ui.raster;

import javax.swing.JTextField;

/**
 * Clase que representa a un textfield obtenido a partir del XML
 * que manda un driver de escritura.
 *
 * @author Nacho Brodin <brodin_ign@gva.es>
 *
 */
public class XMLText extends JTextField {
    final private static long serialVersionUID = -3370601314380922368L;
    public int numPanel = -1;
    public int posIntoPanel = -1;
    public String position = null;
    public String selected = null;
    public int sizex = 0;
    public int sizey = 0;
    public String text = null;
    public String id = null;

    /**
     * Contructor
     * @param text        texto del textfield
     */
    public XMLText(String text) {
        super(text);
        this.text = text;
    }

    /**
     * Inicializacin del XMLCheck
     */
    public void init() {
        if ((sizex != 0) && (sizey != 0)) {
            this.setPreferredSize(new java.awt.Dimension(sizex, sizey));
        }
    }
}
