package com.hardcode.driverManager;

import java.util.ArrayList;

public abstract class AbstractDriver implements Driver {
	private ArrayList driverEventListeners = new ArrayList();
	
	public void addDriverEventListener(DriverEventListener listener) {
		if (!driverEventListeners.contains(listener))
			driverEventListeners.add(listener);
	}
	public void removeDriverEventListener(DriverEventListener listener) {
		driverEventListeners.remove(listener);
	}

}
